def oblicz_ile_nieprzedluzalne(n, ciag):
  ile_nieprzedluzalne = [0] * (n+1)
  aktualna_dlugosc = 1
  for i in range(n):  # na koncu porownamy sie z ciag[n+1], ktory jest zerem
    if ciag[i] < ciag[i+1]:
      aktualna_dlugosc += 1
    else:
      ile_nieprzedluzalne[aktualna_dlugosc] += 1
      aktualna_dlugosc = 1
  return ile_nieprzedluzalne


def sumuj_wyniki(n, ile_nieprzedluzalne):
  wyniki = [0] * (n+2)
  suma = 0
  for i in range(n, 0, -1):  # na poczatku wyniki[n+1] jest 0
    suma += ile_nieprzedluzalne[i]
    wyniki[i] = wyniki[i+1] + suma
  return wyniki


n = int(input())
ciag = list(map(int, input().split()))
ciag.append(0)  # dodajemy zero na koncu ciagu dla latwiejszej implementacji

ile_nieprzedluzalne = oblicz_ile_nieprzedluzalne(n, ciag)
wyniki = sumuj_wyniki(n, ile_nieprzedluzalne)

q = int(input())
for _ in range(q):
  k = int(input())
  print(wyniki[k])
